From 4b9260b885874b97ef22e458a7dace95778a0491 Mon Sep 17 00:00:00 2001
From: Simon McVittie <smcv@debian.org>
Date: Fri, 20 Nov 2009 02:46:39 +0000
Subject: Include stdlib.h to avoid incompatible implicit declarations of free, exit

---
 events.c  |    2 ++
 gfx.c     |    2 ++
 movelog.c |    1 +
 xaw_ui.c  |    2 ++
 4 files changed, 7 insertions(+), 0 deletions(-)

diff --git a/events.c b/events.c
index 3038774..a6a27bc 100644
--- a/events.c
+++ b/events.c
@@ -17,6 +17,8 @@
 #include	"defs.h"
 #include	"globals.h"
 
+#include <stdlib.h>
+
 extern int	cheat_count;
 
 static	CardPtr		current_card = CARDNULL;
diff --git a/gfx.c b/gfx.c
index d90c307..0e89d9e 100644
--- a/gfx.c
+++ b/gfx.c
@@ -16,6 +16,8 @@
 #include	"defs.h"
 #include	"globals.h"
 
+#include <stdlib.h>
+
 #ifdef ROUND_CARDS
 #include	<X11/Xmu/Drawing.h>
 
diff --git a/movelog.c b/movelog.c
index c383720..1e87f28 100644
--- a/movelog.c
+++ b/movelog.c
@@ -19,6 +19,7 @@
 #include	<string.h>
 #include	<sys/file.h>
 #include	<ctype.h>
+#include	<stdlib.h>
 #ifdef SVR4
 #include	<unistd.h>
 #endif
diff --git a/xaw_ui.c b/xaw_ui.c
index 5391afb..cc5dd59 100644
--- a/xaw_ui.c
+++ b/xaw_ui.c
@@ -20,6 +20,8 @@
 
 #include	"spider.bm"
 
+#include <stdlib.h>
+
 static XtAppContext	spider_con;
 Widget		toplevel;
 static Widget		table_w;
-- 
1.6.5.3

